package rozwiazania_zadan.r1.z02_trojkat;

import java.util.Locale;
import java.util.Scanner;
/*
  Napisz program, który prosi użytkownika (w konsoli lub okienku) o podanie trzech liczb,
  po czym informuje go (wyświetlając komunikat w ten sposób, w jaki nastąpiło wczytanie liczb),
  czy mogą one być długościami boków trójkąta.
  Przykładem liczb, które nie mogą być długościami boków trójkąta, są: 1, 2, 5
  - program ma wyświetlać prawidłową odpowiedź dla dowolnej kolejności wpisywania liczb.
  
  Jeśli długości boków tworzą trójkąt, to oblicz pole powierzchni (wzór Herona).
 */
public class Trojkat1 {

	public static void main(String[] args) {
		@SuppressWarnings("resource")
		Scanner sc = new Scanner(System.in);
		sc.useLocale(Locale.US);
		System.out.println("Podaj trzy liczby, długości boków trójkąta:");
		double a = sc.nextDouble();
		double b = sc.nextDouble();
		double c = sc.nextDouble();
		
		if(a + b > c && b + c > a && c + a > b) {
			System.out.println("OK, te liczby mogą być długościami boków trójkąta");
			double p = (a + b + c) / 2.0;
			double pole = Math.sqrt((p - a) * (p - b) * (p - c) * p);
			System.out.println("Pole powierzchni wynosi: " + pole);
		} else {
			System.out.println("Te liczby nie mogą być długościami boków trójkąta");
		}
	}

}
